<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.unis.base.server.dao.CompanyRecordsDao" >

  <resultMap id="BaseResultMap" type="com.unis.base.server.entity.CompanyRecordsDO" >
    <result column="QYBABH" property="qybabh" jdbcType="VARCHAR" />
    <result column="ID" property="id" jdbcType="DECIMAL" />
    <result column="TYSHXYDM" property="tyshxydm" jdbcType="VARCHAR" />
    <result column="ZZJGDM" property="zzjgdm" jdbcType="VARCHAR" />
    <result column="QYMC" property="qymc" jdbcType="VARCHAR" />
    <result column="QYLX" property="qylx" jdbcType="VARCHAR" />
    <result column="DWDM" property="dwdm" jdbcType="VARCHAR" />
    <result column="QYJJLX" property="qyjjlx" jdbcType="VARCHAR" />
    <result column="QYXZ" property="qyxz" jdbcType="VARCHAR" />
    <result column="DJZCLX" property="djzclx" jdbcType="VARCHAR" />
    <result column="GSDJZCH" property="gsdjzch" jdbcType="VARCHAR" />
    <result column="FDDBR" property="fddbr" jdbcType="VARCHAR" />
    <result column="BGDH" property="bgdh" jdbcType="VARCHAR" />
    <result column="FRSJH" property="frsjh" jdbcType="VARCHAR" />
    <result column="QYDZYX" property="qydzyx" jdbcType="VARCHAR" />
    <result column="ZCZB" property="zczb" jdbcType="DECIMAL" />
    <result column="QYCYRYS" property="qycyrys" jdbcType="DECIMAL" />
    <result column="ZJYSZCRS" property="zjyszcrs" jdbcType="DECIMAL" />
    <result column="BGYRS" property="bgyrs" jdbcType="DECIMAL" />
    <result column="JHYYRS" property="jhyyrs" jdbcType="DECIMAL" />
    <result column="YZYZGZSRS" property="yzyzgzsrs" jdbcType="DECIMAL" />
    <result column="QYCZHM" property="qyczhm" jdbcType="VARCHAR" />
    <result column="QYTXDZ" property="qytxdz" jdbcType="VARCHAR" />
    <result column="QYYB" property="qyyb" jdbcType="VARCHAR" />
    <result column="QYZYYW" property="qyzyyw" jdbcType="VARCHAR" />
    <result column="QYZCSJ" property="qyzcsj" jdbcType="DATE" />
    <result column="ZZXLYSRY" property="zzxlysry" jdbcType="DECIMAL" />
    <result column="QYSCLSZYPZ" property="qysclszypz" jdbcType="VARCHAR" />
    <result column="QYLSGX" property="qylsgx" jdbcType="VARCHAR" />
    <result column="QYYJJB" property="qyyjjb" jdbcType="VARCHAR" />
    <result column="QYJD" property="qyjd" jdbcType="VARCHAR" />
    <result column="QYWD" property="qywd" jdbcType="VARCHAR" />
    <result column="QYSZQY" property="qyszqy" jdbcType="VARCHAR" />
    <result column="QYCCNL" property="qyccnl" jdbcType="DECIMAL" />
    <result column="QYZT" property="qyzt" jdbcType="DECIMAL" />
    <result column="QYSZQYBH" property="qyszqybh" jdbcType="VARCHAR" />
    <result column="QYYJLXBH" property="qyyjlxbh" jdbcType="VARCHAR" />
    <result column="QYYJLXMC" property="qyyjlxmc" jdbcType="VARCHAR" />
    <result column="SFDLFRZG" property="sfdlfrzg" jdbcType="DECIMAL" />
    <result column="XSQYGS" property="xsqygs" jdbcType="DECIMAL" />
    <result column="ZCRQ" property="zcrq" jdbcType="DATE" />
    <result column="SFJYSGZG" property="sfjysgzg" jdbcType="DECIMAL" />
    <result column="LSSGXKZFZJG" property="lssgxkzfzjg" jdbcType="VARCHAR" />
    <result column="SGZGZBH" property="sgzgzbh" jdbcType="VARCHAR" />
    <result column="SSLSXZGLBM" property="sslsxzglbm" jdbcType="VARCHAR" />
    <result column="ZDMJ" property="zdmj" jdbcType="DECIMAL" />
    <result column="SSZDMJ" property="sszdmj" jdbcType="DECIMAL" />
    <result column="SQJGZDMJ" property="sqjgzdmj" jdbcType="DATE" />
    <result column="QYGSDJJG" property="qygsdjjg" jdbcType="VARCHAR" />
    <result column="QYLXR" property="qylxr" jdbcType="VARCHAR" />
    <result column="QYJGDM" property="qyjgdm" jdbcType="VARCHAR" />
    <result column="YYSR" property="yysr" jdbcType="DECIMAL" />
    <result column="LSZE" property="lsze" jdbcType="DECIMAL" />
    <result column="DNYJKFTR" property="dnyjkftr" jdbcType="DECIMAL" />
    <result column="FMZL" property="fmzl" jdbcType="VARCHAR" />
    <result column="GYZCZ" property="gyzcz" jdbcType="DECIMAL" />
    <result column="LRZE" property="lrze" jdbcType="DECIMAL" />
    <result column="ZFZCTR" property="zfzctr" jdbcType="DECIMAL" />
    <result column="CPXSSR" property="cpxssr" jdbcType="DECIMAL" />
    <result column="ZCZE" property="zcze" jdbcType="DECIMAL" />
    <result column="DNZLHDS" property="dnzlhds" jdbcType="DECIMAL" />
    <result column="NCLYJXZZ" property="nclyjxzz" jdbcType="DECIMAL" />
    <result column="YZJGZJ" property="yzjgzj" jdbcType="VARCHAR" />
    <result column="TYSB" property="tysb" jdbcType="VARCHAR" />
    <result column="NHXHBZM" property="nhxhbzm" jdbcType="DECIMAL" />
    <result column="GR" property="gr" jdbcType="DECIMAL" />
    <result column="DMJGZJ" property="dmjgzj" jdbcType="VARCHAR" />
    <result column="SLJGZJ" property="sljgzj" jdbcType="VARCHAR" />
    <result column="NYHD" property="nyhd" jdbcType="DECIMAL" />
    <result column="NYXHRJ" property="nyxhrj" jdbcType="VARCHAR" />
    <result column="XMFJGZJ" property="xmfjgzj" jdbcType="VARCHAR" />
    <result column="CCSB" property="ccsb" jdbcType="VARCHAR" />
    <result column="NYXHS" property="nyxhs" jdbcType="VARCHAR" />
    <result column="ZCR" property="zcr" jdbcType="DECIMAL" />
    <result column="CFD" property="cfd" jdbcType="DECIMAL" />
    <result column="CFJ" property="cfj" jdbcType="DECIMAL" />
    <result column="BZ" property="bz" jdbcType="VARCHAR" />
    <result column="SFBA" property="sfba" jdbcType="DECIMAL" />
    <result column="SPYJ" property="spyj" jdbcType="VARCHAR" />
    <result column="SHRYBH" property="shrybh" jdbcType="VARCHAR" />
    <result column="SHRYMC" property="shrymc" jdbcType="VARCHAR" />
    <result column="SHBMBH" property="shbmbh" jdbcType="VARCHAR" />
    <result column="SHBMMC" property="shbmmc" jdbcType="VARCHAR" />
    <result column="JYFW" property="jyfw" jdbcType="VARCHAR" />
    <result column="WRYJYRYBCS" property="wryjyrybcs" jdbcType="DECIMAL" />
    <result column="SHGZ" property="shgz" jdbcType="CLOB" />
      <result column="QYCJ" property="qycj" jdbcType="VARCHAR"  />
      <result column="QYGSZCD" property="qygszcd" jdbcType="VARCHAR"  />
      <result column="RTZT" property="rtzt" jdbcType="DECIMAL" />
      <result column="SJCCQY" property="sjccqy" jdbcType="VARCHAR"  />
      <result column="QJCCQY" property="qjccqy" jdbcType="VARCHAR"  />
      <result column="SJJTMC" property="sjjtmc" jdbcType="VARCHAR"  />
      <result column="SJJTJGDM" property="sjjtjgdm" jdbcType="VARCHAR"  />
      <result column="SJJTTYSHXYDM" property="sjjttyshxydm" jdbcType="VARCHAR"  />
    <result column="BASJ" property="basj" jdbcType="DATE" />
      <result column="LC_ID" property="lcId" jdbcType="VARCHAR" />
    <result column="CFSL" property="cfsl" jdbcType="DECIMAL" />
    <result column="YGSL" property="ygsl" jdbcType="DECIMAL" />
    <result column="SHI" property="shi" jdbcType="VARCHAR"  />
    <result column="SHI_NAME" property="shiName" jdbcType="VARCHAR"  />
    <result column="XIAN" property="xian" jdbcType="VARCHAR"  />
    <result column="XIAN_NAME" property="xianName" jdbcType="VARCHAR"  />
    <result column="STATUS" property="status" jdbcType="DECIMAL" />
    <result column="CREATOR" property="creator" jdbcType="VARCHAR" />
    <result column="CREATOR_CODE" property="creatorCode" jdbcType="VARCHAR" />
    <result column="CREATE_DATE" property="createDate" jdbcType="TIMESTAMP" />
    <result column="REFRESHER" property="refresher" jdbcType="VARCHAR" />
    <result column="REFRESHER_CODE" property="refresherCode" jdbcType="VARCHAR" />
    <result column="REFRESH_TIME" property="refreshTime" jdbcType="TIMESTAMP" />
    <result column="REMARK" property="remark" jdbcType="VARCHAR" />
  </resultMap>

  <sql id="Base_Column_List_common">
    	tz.qybabh, tz.id, tz.tyshxydm, tz.zzjgdm, tz.qymc, tz.qylx, tz.dwdm, tz.qyjjlx, tz.qyxz, tz.djzclx,
    	tz.gsdjzch, tz.fddbr, tz.bgdh, tz.frsjh, tz.qydzyx, tz.zczb, tz.qycyrys, tz.zjyszcrs, tz.bgyrs, tz.jhyyrs,
    	tz.yzyzgzsrs, tz.qyczhm, tz.qytxdz, tz.qyyb, tz.qyzyyw, tz.qyzcsj, tz.zzxlysry, tz.qysclszypz, tz.qylsgx,
    	tz.qyyjjb, tz.qyjd, tz.qywd, tz.qyszqy,tz.qyzt,tz.qyccnl,tz.qyszqybh, tz.QYYJLXBH, tz.QYYJLXMC, tz.SFDLFRZG,
    	tz.XSQYGS, tz.ZCRQ, tz.SFJYSGZG, tz.LSSGXKZFZJG,tz.SGZGZBH, tz.SSLSXZGLBM, tz.ZDMJ, tz.SSZDMJ, tz.SQJGZDMJ,
    	tz.QYGSDJJG, tz.qylxr, tz.YYSR, tz.LSZE, tz.DNYJKFTR, tz.FMZL, tz.GYZCZ, tz.LRZE, tz.ZFZCTR, tz.CPXSSR,
    	tz.ZCZE, tz.DNZLHDS, tz.NCLYJXZZ, tz.YZJGZJ, tz.TYSB, tz.NHXHBZM, tz.GR, tz.DMJGZJ, tz.SLJGZJ, tz.NYHD,
    	tz.NYXHRJ, tz.XMFJGZJ, tz.CCSB, tz.NYXHS, tz.ZCR, tz.CFD, tz.CFJ, tz.BZ, tz.qyjgdm, tz.sfba, tz.spyj,
    	tz.SHRYBH, tz.SHRYMC, tz.SHBMBH, tz.SHBMMC, tz.JYFW, tz.WRYJYRYBCS, tz.SHGZ, tz.QYCJ, tz.QYGSZCD, tz.RTZT,
    	tz.SJCCQY, tz.QJCCQY, tz.SJJTMC, tz.SJJTJGDM, tz.SJJTTYSHXYDM, tz.BASJ, tz.LC_ID, tz.CFSL, tz.YGSL, tz.SHI,
    	tz.SHI_NAME, tz.XIAN, tz.XIAN_NAME, tz.status, tz.creator, tz.creator_code , tz.create_date, tz.refresher,
    	tz.refresher_code, tz.refresh_time, tz.remark
    </sql>

  <!-- 根据参数获取企业记录列表 -->
  <select id="getCompanyRecordsList" parameterType="com.unis.base.common.vo.CompanyRecordsQueryVO" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List_common"></include>
    from
    TZ_SLQY_HIS tz
    <where>
      tz.status = 1
      <!-- 涉粮企业备案记录ID -->
      <if test="qybabh != null and qybabh != ''" >
        and	tz.QYBABH LIKE concat(CONCAT('%',#{qybabh,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 社会统一行政编码 -->
      <if test="tyshxydm != null and tyshxydm != ''" >
        and	tz.tyshxydm LIKE concat(CONCAT('%',#{tyshxydm,jdbcType=VARCHAR}) ,'%')
      </if>
      <!-- 备案时间（年度） -->
      <if test="year != null and year != ''">
        and DATE_FORMAT(tz.CREATE_DATE, '%Y') >= #{year}

      </if>
      <!-- 是否备案 -->
      <if test='sfba != null'>
        and tz.SFBA = #{sfba,jdbcType=DECIMAL}
      </if>
    </where>
    ORDER BY tz.QYBABH desc
  </select>

  <!-- 获取企业记录详情 -->
  <select id="getCompanyRecordsInfo" parameterType="java.lang.String" resultMap="BaseResultMap">
    SELECT
    <include refid="Base_Column_List_common"></include>
    from
    TZ_SLQY_HIS tz
    <where>
      tz.QYBABH = #{qybabh,jdbcType=VARCHAR}
      and tz.STATUS = 1
    </where>
  </select>

  <!-- 获取最大主键ID -->
  <select id="selectMaxId" resultType="java.lang.String">
  	select max(QYBABH)
    from TZ_SLQY_HIS
  </select>

  <!--获取最大编号-->
  <select id="getMaxById" parameterType="java.lang.String" resultType="java.lang.String">
    SELECT
    max(tz.qybabh)
    from
    TZ_SLQY_HIS tz
    <where>
      tz.qybabh like CONCAT(#{prefix,jdbcType=VARCHAR},'%')
    </where>
  </select>

  <!--新增企业记录-->
  <insert id="insert" parameterType="com.unis.base.server.entity.CompanyRecordsDO" >
    insert into TZ_SLQY_HIS
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="qybabh != null" >
        QYBABH,
      </if>
      <if test="id != null" >
        ID,
      </if>
      <if test="tyshxydm != null" >
        TYSHXYDM,
      </if>
      <if test="zzjgdm != null" >
        ZZJGDM,
      </if>
      <if test="qymc != null" >
        QYMC,
      </if>
      <if test="qylx != null" >
        QYLX,
      </if>
      <if test="dwdm != null" >
        DWDM,
      </if>
      <if test="qyjjlx != null" >
        QYJJLX,
      </if>
      <if test="qyxz != null" >
        QYXZ,
      </if>
      <if test="djzclx != null" >
        DJZCLX,
      </if>
      <if test="gsdjzch != null" >
        GSDJZCH,
      </if>
      <if test="fddbr != null" >
        FDDBR,
      </if>
      <if test="bgdh != null" >
        BGDH,
      </if>
      <if test="frsjh != null" >
        FRSJH,
      </if>
      <if test="qydzyx != null" >
        QYDZYX,
      </if>
      <if test="zczb != null" >
        ZCZB,
      </if>
      <if test="qycyrys != null" >
        QYCYRYS,
      </if>
      <if test="zjyszcrs != null" >
        ZJYSZCRS,
      </if>
      <if test="bgyrs != null" >
        BGYRS,
      </if>
      <if test="jhyyrs != null" >
        JHYYRS,
      </if>
      <if test="yzyzgzsrs != null" >
        YZYZGZSRS,
      </if>
      <if test="qyczhm != null" >
        QYCZHM,
      </if>
      <if test="qytxdz != null" >
        QYTXDZ,
      </if>
      <if test="qyyb != null" >
        QYYB,
      </if>
      <if test="qyzyyw != null" >
        QYZYYW,
      </if>
      <if test="qyzcsj != null" >
        QYZCSJ,
      </if>
      <if test="zzxlysry != null" >
        ZZXLYSRY,
      </if>
      <if test="qysclszypz != null" >
        QYSCLSZYPZ,
      </if>
      <if test="qylsgx != null" >
        QYLSGX,
      </if>
      <if test="qyyjjb != null" >
        QYYJJB,
      </if>
      <if test="qyjd != null" >
        QYJD,
      </if>
      <if test="qywd != null" >
        QYWD,
      </if>
      <if test="qyszqy != null" >
        QYSZQY,
      </if>
      <if test="qyccnl != null" >
        QYCCNL,
      </if>
      <if test="qyzt != null" >
        QYZT,
      </if>
      <if test="qyszqybh != null" >
        QYSZQYBH,
      </if>
      <if test="qyyjlxbh != null" >
        QYYJLXBH,
      </if>
      <if test="qyyjlxmc != null" >
        QYYJLXMC,
      </if>
      <if test="sfdlfrzg != null" >
        SFDLFRZG,
      </if>
      <if test="xsqygs != null" >
        XSQYGS,
      </if>
      <if test="zcrq != null" >
        ZCRQ,
      </if>
      <if test="sfjysgzg != null" >
        SFJYSGZG,
      </if>
      <if test="lssgxkzfzjg != null" >
        LSSGXKZFZJG,
      </if>
      <if test="sgzgzbh != null" >
        SGZGZBH,
      </if>
      <if test="sslsxzglbm != null" >
        SSLSXZGLBM,
      </if>
      <if test="zdmj != null" >
        ZDMJ,
      </if>
      <if test="sszdmj != null" >
        SSZDMJ,
      </if>
      <if test="sqjgzdmj != null" >
        SQJGZDMJ,
      </if>
      <if test="qygsdjjg != null" >
        QYGSDJJG,
      </if>
      <if test="qylxr != null" >
        QYLXR,
      </if>
      <if test="qyjgdm != null" >
        QYJGDM,
      </if>
      <if test="yysr != null" >
        YYSR,
      </if>
      <if test="lsze != null" >
        LSZE,
      </if>
      <if test="dnyjkftr != null" >
        DNYJKFTR,
      </if>
      <if test="fmzl != null" >
        FMZL,
      </if>
      <if test="gyzcz != null" >
        GYZCZ,
      </if>
      <if test="lrze != null" >
        LRZE,
      </if>
      <if test="zfzctr != null" >
        ZFZCTR,
      </if>
      <if test="cpxssr != null" >
        CPXSSR,
      </if>
      <if test="zcze != null" >
        ZCZE,
      </if>
      <if test="dnzlhds != null" >
        DNZLHDS,
      </if>
      <if test="nclyjxzz != null" >
        NCLYJXZZ,
      </if>
      <if test="yzjgzj != null" >
        YZJGZJ,
      </if>
      <if test="tysb != null" >
        TYSB,
      </if>
      <if test="nhxhbzm != null" >
        NHXHBZM,
      </if>
      <if test="gr != null" >
        GR,
      </if>
      <if test="dmjgzj != null" >
        DMJGZJ,
      </if>
      <if test="sljgzj != null" >
        SLJGZJ,
      </if>
      <if test="nyhd != null" >
        NYHD,
      </if>
      <if test="nyxhrj != null" >
        NYXHRJ,
      </if>
      <if test="xmfjgzj != null" >
        XMFJGZJ,
      </if>
      <if test="ccsb != null" >
        CCSB,
      </if>
      <if test="nyxhs != null" >
        NYXHS,
      </if>
      <if test="zcr != null" >
        ZCR,
      </if>
      <if test="cfd != null" >
        CFD,
      </if>
      <if test="cfj != null" >
        CFJ,
      </if>
      <if test="bz != null" >
        BZ,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
      <if test="spyj != null" >
        SPYJ,
      </if>
      <if test="shrybh != null" >
        SHRYBH,
      </if>
      <if test="shrymc != null" >
        SHRYMC,
      </if>
      <if test="shbmbh != null" >
        SHBMBH,
      </if>
      <if test="shbmmc != null" >
        SHBMMC,
      </if>
      <if test="jyfw != null" >
        JYFW,
      </if>
      <if test="wryjyrybcs != null" >
        WRYJYRYBCS,
      </if>
      <if test="shgz != null" >
        SHGZ,
      </if>
        <if test="qycj !=null">
            QYCJ,
        </if>
        <if test="qygszcd !=null">
            QYGSZCD,
        </if>
        <if test="rtzt !=null">
            RTZT,
        </if>
        <if test="sjccqy !=null">
            SJCCQY,
        </if>
        <if test="qjccqy !=null">
            QJCCQY,
        </if>
        <if test="sjjtmc !=null">
            SJJTMC,
        </if>
        <if test="sjjtjgdm !=null">
            SJJTJGDM,
        </if>
        <if test="sjjttyshxydm !=null">
            SJJTTYSHXYDM,
        </if>
      <if test="basj !=null">
        BASJ,
      </if>
        <if test="lcId != null" >
            LC_ID,
        </if>
      <if test="cfsl !=null">
        CFSL,
      </if>
      <if test="ygsl !=null">
        YGSL,
      </if>
      <if test="shi !=null">
        SHI,
      </if>
      <if test="shiName !=null">
        SHI_NAME,
      </if>
      <if test="xian !=null">
        XIAN,
      </if>
      <if test="xianName !=null">
        XIAN_NAME,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="refresher != null" >
        REFRESHER,
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE,
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="qybabh != null" >
        #{qybabh,jdbcType=VARCHAR},
      </if>
      <if test="id != null" >
        #{id,jdbcType=DECIMAL},
      </if>
      <if test="tyshxydm != null" >
        #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="zzjgdm != null" >
        #{zzjgdm,jdbcType=VARCHAR},
      </if>
      <if test="qymc != null" >
        #{qymc,jdbcType=VARCHAR},
      </if>
      <if test="qylx != null" >
        #{qylx,jdbcType=VARCHAR},
      </if>
      <if test="dwdm != null" >
        #{dwdm,jdbcType=VARCHAR},
      </if>
      <if test="qyjjlx != null" >
        #{qyjjlx,jdbcType=VARCHAR},
      </if>
      <if test="qyxz != null" >
        #{qyxz,jdbcType=VARCHAR},
      </if>
      <if test="djzclx != null" >
        #{djzclx,jdbcType=VARCHAR},
      </if>
      <if test="gsdjzch != null" >
        #{gsdjzch,jdbcType=VARCHAR},
      </if>
      <if test="fddbr != null" >
        #{fddbr,jdbcType=VARCHAR},
      </if>
      <if test="bgdh != null" >
        #{bgdh,jdbcType=VARCHAR},
      </if>
      <if test="frsjh != null" >
        #{frsjh,jdbcType=VARCHAR},
      </if>
      <if test="qydzyx != null" >
        #{qydzyx,jdbcType=VARCHAR},
      </if>
      <if test="zczb != null" >
        #{zczb,jdbcType=DECIMAL},
      </if>
      <if test="qycyrys != null" >
        #{qycyrys,jdbcType=DECIMAL},
      </if>
      <if test="zjyszcrs != null" >
        #{zjyszcrs,jdbcType=DECIMAL},
      </if>
      <if test="bgyrs != null" >
        #{bgyrs,jdbcType=DECIMAL},
      </if>
      <if test="jhyyrs != null" >
        #{jhyyrs,jdbcType=DECIMAL},
      </if>
      <if test="yzyzgzsrs != null" >
        #{yzyzgzsrs,jdbcType=DECIMAL},
      </if>
      <if test="qyczhm != null" >
        #{qyczhm,jdbcType=VARCHAR},
      </if>
      <if test="qytxdz != null" >
        #{qytxdz,jdbcType=VARCHAR},
      </if>
      <if test="qyyb != null" >
        #{qyyb,jdbcType=VARCHAR},
      </if>
      <if test="qyzyyw != null" >
        #{qyzyyw,jdbcType=VARCHAR},
      </if>
      <if test="qyzcsj != null" >
        #{qyzcsj,jdbcType=DATE},
      </if>
      <if test="zzxlysry != null" >
        #{zzxlysry,jdbcType=DECIMAL},
      </if>
      <if test="qysclszypz != null" >
        #{qysclszypz,jdbcType=VARCHAR},
      </if>
      <if test="qylsgx != null" >
        #{qylsgx,jdbcType=VARCHAR},
      </if>
      <if test="qyyjjb != null" >
        #{qyyjjb,jdbcType=VARCHAR},
      </if>
      <if test="qyjd != null" >
        #{qyjd,jdbcType=VARCHAR},
      </if>
      <if test="qywd != null" >
        #{qywd,jdbcType=VARCHAR},
      </if>
      <if test="qyszqy != null" >
        #{qyszqy,jdbcType=VARCHAR},
      </if>
      <if test="qyccnl != null" >
        #{qyccnl,jdbcType=DECIMAL},
      </if>
      <if test="qyzt != null" >
        #{qyzt,jdbcType=DECIMAL},
      </if>
      <if test="qyszqybh != null" >
        #{qyszqybh,jdbcType=VARCHAR},
      </if>
      <if test="qyyjlxbh != null" >
        #{qyyjlxbh,jdbcType=VARCHAR},
      </if>
      <if test="qyyjlxmc != null" >
        #{qyyjlxmc,jdbcType=VARCHAR},
      </if>
      <if test="sfdlfrzg != null" >
        #{sfdlfrzg,jdbcType=DECIMAL},
      </if>
      <if test="xsqygs != null" >
        #{xsqygs,jdbcType=DECIMAL},
      </if>
      <if test="zcrq != null" >
        #{zcrq,jdbcType=DATE},
      </if>
      <if test="sfjysgzg != null" >
        #{sfjysgzg,jdbcType=DECIMAL},
      </if>
      <if test="lssgxkzfzjg != null" >
        #{lssgxkzfzjg,jdbcType=VARCHAR},
      </if>
      <if test="sgzgzbh != null" >
        #{sgzgzbh,jdbcType=VARCHAR},
      </if>
      <if test="sslsxzglbm != null" >
        #{sslsxzglbm,jdbcType=VARCHAR},
      </if>
      <if test="zdmj != null" >
        #{zdmj,jdbcType=DECIMAL},
      </if>
      <if test="sszdmj != null" >
        #{sszdmj,jdbcType=DECIMAL},
      </if>
      <if test="sqjgzdmj != null" >
        #{sqjgzdmj,jdbcType=DATE},
      </if>
      <if test="qygsdjjg != null" >
        #{qygsdjjg,jdbcType=VARCHAR},
      </if>
      <if test="qylxr != null" >
        #{qylxr,jdbcType=VARCHAR},
      </if>
      <if test="qyjgdm != null" >
        #{qyjgdm,jdbcType=VARCHAR},
      </if>
      <if test="yysr != null" >
        #{yysr,jdbcType=DECIMAL},
      </if>
      <if test="lsze != null" >
        #{lsze,jdbcType=DECIMAL},
      </if>
      <if test="dnyjkftr != null" >
        #{dnyjkftr,jdbcType=DECIMAL},
      </if>
      <if test="fmzl != null" >
        #{fmzl,jdbcType=VARCHAR},
      </if>
      <if test="gyzcz != null" >
        #{gyzcz,jdbcType=DECIMAL},
      </if>
      <if test="lrze != null" >
        #{lrze,jdbcType=DECIMAL},
      </if>
      <if test="zfzctr != null" >
        #{zfzctr,jdbcType=DECIMAL},
      </if>
      <if test="cpxssr != null" >
        #{cpxssr,jdbcType=DECIMAL},
      </if>
      <if test="zcze != null" >
        #{zcze,jdbcType=DECIMAL},
      </if>
      <if test="dnzlhds != null" >
        #{dnzlhds,jdbcType=DECIMAL},
      </if>
      <if test="nclyjxzz != null" >
        #{nclyjxzz,jdbcType=DECIMAL},
      </if>
      <if test="yzjgzj != null" >
        #{yzjgzj,jdbcType=VARCHAR},
      </if>
      <if test="tysb != null" >
        #{tysb,jdbcType=VARCHAR},
      </if>
      <if test="nhxhbzm != null" >
        #{nhxhbzm,jdbcType=DECIMAL},
      </if>
      <if test="gr != null" >
        #{gr,jdbcType=DECIMAL},
      </if>
      <if test="dmjgzj != null" >
        #{dmjgzj,jdbcType=VARCHAR},
      </if>
      <if test="sljgzj != null" >
        #{sljgzj,jdbcType=VARCHAR},
      </if>
      <if test="nyhd != null" >
        #{nyhd,jdbcType=DECIMAL},
      </if>
      <if test="nyxhrj != null" >
        #{nyxhrj,jdbcType=VARCHAR},
      </if>
      <if test="xmfjgzj != null" >
        #{xmfjgzj,jdbcType=VARCHAR},
      </if>
      <if test="ccsb != null" >
        #{ccsb,jdbcType=VARCHAR},
      </if>
      <if test="nyxhs != null" >
        #{nyxhs,jdbcType=VARCHAR},
      </if>
      <if test="zcr != null" >
        #{zcr,jdbcType=DECIMAL},
      </if>
      <if test="cfd != null" >
        #{cfd,jdbcType=DECIMAL},
      </if>
      <if test="cfj != null" >
        #{cfj,jdbcType=DECIMAL},
      </if>
      <if test="bz != null" >
        #{bz,jdbcType=VARCHAR},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="jyfw != null" >
        #{jyfw,jdbcType=VARCHAR},
      </if>
      <if test="wryjyrybcs != null" >
        #{wryjyrybcs,jdbcType=DECIMAL},
      </if>
      <if test="shgz != null" >
        #{shgz,jdbcType=CLOB},
      </if>
        <if test="qycj !=null">
            #{qycj,jdbcType=VARCHAR},
        </if>
        <if test="qygszcd !=null">
            #{qygszcd,jdbcType=VARCHAR},
        </if>
        <if test="rtzt !=null">
            #{rtzt,jdbcType=DECIMAL},
        </if>
        <if test="sjccqy !=null">
            #{sjccqy,jdbcType=VARCHAR},
        </if>
        <if test="qjccqy !=null">
            #{qjccqy,jdbcType=VARCHAR},
        </if>
        <if test="sjjtmc !=null">
            #{sjjtmc,jdbcType=VARCHAR},
        </if>
        <if test="sjjtjgdm !=null">
            #{sjjtjgdm,jdbcType=VARCHAR},
        </if>
        <if test="sjjttyshxydm !=null">
            #{sjjttyshxydm,jdbcType=VARCHAR},
        </if>
      <if test="basj !=null">
        #{basj,jdbcType=DATE},
      </if>
        <if test="lcId != null" >
            #{lcId,jdbcType=VARCHAR},
        </if>
      <if test="cfsl !=null">
        #{cfsl,jdbcType=DECIMAL},
      </if>
      <if test="ygsl !=null">
        #{ygsl,jdbcType=DECIMAL},
      </if>
      <if test="shi !=null">
        #{shi,jdbcType=VARCHAR},
      </if>
      <if test="shiName !=null">
        #{shiName,jdbcType=VARCHAR},
      </if>
      <if test="xian !=null">
        #{xian,jdbcType=VARCHAR},
      </if>
      <if test="xianName !=null">
        #{xianName,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>

  <!-- 更新企业记录 -->
  <update id="update" parameterType="com.unis.base.server.entity.CompanyRecordsDO">
    update TZ_SLQY_HIS
    <set>
      <if test="id != null">
        id = #{id,jdbcType=DECIMAL},
      </if>
      <if test="zzjgdm != null">
        tyshxydm = #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="zzjgdm != null">
        zzjgdm = #{zzjgdm,jdbcType=VARCHAR},
      </if>
      <if test="qymc != null">
        qymc = #{qymc,jdbcType=VARCHAR},
      </if>
      <if test="qylx != null">
        qylx = #{qylx,jdbcType=VARCHAR},
      </if>
      <if test="dwdm != null">
        dwdm = #{dwdm,jdbcType=VARCHAR},
      </if>
      <if test="qyjjlx != null">
        qyjjlx = #{qyjjlx,jdbcType=VARCHAR},
      </if>
      <if test="qyxz != null">
        qyxz = #{qyxz,jdbcType=VARCHAR},
      </if>
      <if test="djzclx != null">
        djzclx = #{djzclx,jdbcType=VARCHAR},
      </if>
      <if test="gsdjzch != null">
        gsdjzch = #{gsdjzch,jdbcType=VARCHAR},
      </if>
      <if test="fddbr != null">
        fddbr = #{fddbr,jdbcType=VARCHAR},
      </if>
      <if test="bgdh != null">
        bgdh = #{bgdh,jdbcType=VARCHAR},
      </if>
      <if test="frsjh != null">
        frsjh = #{frsjh,jdbcType=VARCHAR},
      </if>
      <if test="qydzyx != null">
        qydzyx = #{qydzyx,jdbcType=VARCHAR},
      </if>
      <if test="zczb != null">
        zczb = #{zczb,jdbcType=DECIMAL},
      </if>
      <if test="qycyrys != null">
        qycyrys = #{qycyrys,jdbcType=DECIMAL},
      </if>
      <if test="zjyszcrs != null">
        zjyszcrs = #{zjyszcrs,jdbcType=DECIMAL},
      </if>
      <if test="bgyrs != null">
        bgyrs = #{bgyrs,jdbcType=DECIMAL},
      </if>
      <if test="jhyyrs != null">
        jhyyrs = #{jhyyrs,jdbcType=DECIMAL},
      </if>
      <if test="yzyzgzsrs != null">
        yzyzgzsrs = #{yzyzgzsrs,jdbcType=DECIMAL},
      </if>
      <if test="qyczhm != null">
        qyczhm = #{qyczhm,jdbcType=VARCHAR},
      </if>
      <if test="qytxdz != null">
        qytxdz = #{qytxdz,jdbcType=VARCHAR},
      </if>
      <if test="qyyb != null">
        qyyb = #{qyyb,jdbcType=VARCHAR},
      </if>
      <if test="qyzyyw != null">
        qyzyyw = #{qyzyyw,jdbcType=VARCHAR},
      </if>
      <if test="qyzcsj != null">
        qyzcsj = #{qyzcsj,jdbcType=DATE},
      </if>
      <if test="zzxlysry != null">
        zzxlysry = #{zzxlysry,jdbcType=DECIMAL},
      </if>
      <if test="qysclszypz != null">
        qysclszypz = #{qysclszypz,jdbcType=VARCHAR},
      </if>
      <if test="qylsgx != null">
        qylsgx = #{qylsgx,jdbcType=VARCHAR},
      </if>
      <if test="qyyjjb != null" >
        qyyjjb = #{qyyjjb,jdbcType=VARCHAR},
      </if>
      <if test="qyjd != null" >
        qyjd = #{qyjd,jdbcType=VARCHAR},
      </if>
      <if test="qywd != null" >
        qywd = #{qywd,jdbcType=VARCHAR},
      </if>
      <if test="qyszqy != null" >
        qyszqy = #{qyszqy,jdbcType=VARCHAR},
      </if>
      <if test="refresher != null">
        refresher = #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null">
        refresher_code = #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="status != null">
        status = #{status,jdbcType=DECIMAL},
      </if>
      <if test="qyccnl != null">
        qyccnl = #{qyccnl,jdbcType=DECIMAL},
      </if>
      <if test="qyzt != null">
        qyzt = #{qyzt,jdbcType=DECIMAL},
      </if>
      <if test="qyszqybh != null">
        qyszqybh = #{qyszqybh,jdbcType=VARCHAR},
      </if>
      <if test="qyyjlxbh != null" >
        QYYJLXBH = #{qyyjlxbh,jdbcType=VARCHAR},
      </if>
      <if test="qyyjlxmc != null" >
        QYYJLXMC = #{qyyjlxmc,jdbcType=VARCHAR},
      </if>
      <if test="sfdlfrzg != null" >
        SFDLFRZG = #{sfdlfrzg,jdbcType=DECIMAL},
      </if>
      <if test="xsqygs != null" >
        XSQYGS = #{xsqygs,jdbcType=DECIMAL},
      </if>
      <if test="zcrq != null" >
        ZCRQ = #{zcrq,jdbcType=DATE},
      </if>
      <if test="sfjysgzg != null" >
        SFJYSGZG = #{sfjysgzg,jdbcType=DECIMAL},
      </if>
      <if test="lssgxkzfzjg != null" >
        LSSGXKZFZJG = #{lssgxkzfzjg,jdbcType=VARCHAR},
      </if>
      <if test="sgzgzbh != null" >
        SGZGZBH = #{sgzgzbh,jdbcType=VARCHAR},
      </if>
      <if test="sslsxzglbm != null" >
        SSLSXZGLBM = #{sslsxzglbm,jdbcType=VARCHAR},
      </if>
      <if test="zdmj != null" >
        ZDMJ = #{zdmj,jdbcType=DECIMAL},
      </if>
      <if test="sszdmj != null" >
        SSZDMJ = #{sszdmj,jdbcType=DECIMAL},
      </if>
      <if test="sqjgzdmj != null" >
        SQJGZDMJ = #{sqjgzdmj,jdbcType=DATE},
      </if>
      <if test="qygsdjjg != null" >
        QYGSDJJG = #{qygsdjjg,jdbcType=VARCHAR},
      </if>
      <if test="qylxr != null" >
        QYLXR = #{qylxr,jdbcType=VARCHAR},
      </if>
      <if test="yysr !=null">
        YYSR = #{yysr,jdbcType=DECIMAL},
      </if>
      <if test="lsze !=null">
        LSZE = #{lsze,jdbcType=DECIMAL},
      </if>
      <if test="dnyjkftr != null" >
        DNYJKFTR = #{dnyjkftr,jdbcType=DECIMAL},
      </if>
      <if test="fmzl != null" >
        FMZL = #{fmzl,jdbcType=VARCHAR},
      </if>
      <if test="gyzcz != null" >
        GYZCZ = #{gyzcz,jdbcType=DECIMAL},
      </if>
      <if test="lrze != null" >
        LRZE = #{lrze,jdbcType=DECIMAL},
      </if>
      <if test="zfzctr != null" >
        ZFZCTR = #{zfzctr,jdbcType=DECIMAL},
      </if>
      <if test="cpxssr != null" >
        CPXSSR = #{cpxssr,jdbcType=DECIMAL},
      </if>
      <if test="zcze !=null">
        ZCZE = #{zcze,jdbcType=DECIMAL},
      </if>
      <if test="dnzlhds !=null">
        DNZLHDS = #{dnzlhds,jdbcType=DECIMAL},
      </if>
      <if test="nclyjxzz != null" >
        NCLYJXZZ = #{nclyjxzz,jdbcType=DECIMAL},
      </if>
      <if test="yzjgzj != null" >
        YZJGZJ = #{yzjgzj,jdbcType=VARCHAR},
      </if>
      <if test="tysb != null" >
        TYSB = #{tysb,jdbcType=VARCHAR},
      </if>
      <if test="nhxhbzm !=null">
        NHXHBZM = #{nhxhbzm,jdbcType=VARCHAR},
      </if>
      <if test="gr !=null">
        GR = #{gr,jdbcType=DECIMAL},
      </if>
      <if test="dmjgzj != null" >
        DMJGZJ = #{dmjgzj,jdbcType=VARCHAR},
      </if>
      <if test="sljgzj != null" >
        SLJGZJ = #{sljgzj,jdbcType=VARCHAR},
      </if>
      <if test="nyhd !=null">
        NYHD = #{nyhd,jdbcType=DECIMAL},
      </if>
      <if test="nyxhrj !=null">
        NYXHRJ = #{nyxhrj,jdbcType=VARCHAR},
      </if>
      <if test="xmfjgzj != null" >
        XMFJGZJ = #{xmfjgzj,jdbcType=VARCHAR},
      </if>
      <if test="ccsb != null" >
        CCSB = #{ccsb,jdbcType=VARCHAR},
      </if>
      <if test="nyxhs != null" >
        NYXHS = #{nyxhs,jdbcType=VARCHAR},
      </if>
      <if test="zcr !=null">
        ZCR = #{zcr,jdbcType=DECIMAL},
      </if>
      <if test="cfd !=null">
        CFD = #{cfd,jdbcType=DECIMAL},
      </if>
      <if test="cfj !=null">
        CFJ = #{cfj,jdbcType=DECIMAL},
      </if>
      <if test="bz !=null">
        BZ = #{bz,jdbcType=VARCHAR},
      </if>
      <if test="sfba !=null">
        SFBA = #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="jyfw !=null">
        JYFW = #{jyfw,jdbcType=VARCHAR},
      </if>
      <if test="wryjyrybcs !=null">
        WRYJYRYBCS = #{wryjyrybcs,jdbcType=DECIMAL},
      </if>
      <if test="shgz !=null">
        SHGZ = #{shgz,jdbcType=VARCHAR},
      </if>
      <if test="qycj !=null">
        QYCJ = #{qycj,jdbcType=VARCHAR},
      </if>
      <if test="qygszcd !=null">
        QYGSZCD = #{qygszcd,jdbcType=VARCHAR},
      </if>
      <if test="rtzt !=null">
        RTZT = #{rtzt,jdbcType=DECIMAL},
      </if>
      <if test="sjccqy !=null">
        SJCCQY = #{sjccqy,jdbcType=VARCHAR},
      </if>
      <if test="qjccqy !=null">
        QJCCQY = #{qjccqy,jdbcType=VARCHAR},
      </if>
      <if test="sjjtmc !=null">
        SJJTMC = #{sjjtmc,jdbcType=VARCHAR},
      </if>
      <if test="sjjtjgdm !=null">
        SJJTJGDM = #{sjjtjgdm,jdbcType=VARCHAR},
      </if>
      <if test="sjjttyshxydm !=null">
        SJJTTYSHXYDM = #{sjjttyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="basj !=null">
        BASJ = #{basj,jdbcType=DATE},
      </if>
        <if test="lcId != null" >
            LC_ID = #{lcId,jdbcType=VARCHAR},
        </if>
      <if test="cfsl !=null">
        CFSL = #{cfsl,jdbcType=DECIMAL},
      </if>
      <if test="ygsl !=null">
        YGSL = #{ygsl,jdbcType=DECIMAL},
      </if>
      <if test="shi !=null">
        SHI = #{shi,jdbcType=VARCHAR},
      </if>
      <if test="shiName !=null">
        SHI_NAME = #{shiName,jdbcType=VARCHAR},
      </if>
      <if test="xian !=null">
        XIAN = #{xian,jdbcType=VARCHAR},
      </if>
      <if test="xianName !=null">
        XIAN_NAME = #{xianName,jdbcType=VARCHAR},
      </if>
      refresh_time = NOW()
    </set>
    <where>
      qybabh = #{qybabh,jdbcType=VARCHAR}
    </where>
  </update>


  <insert id="insertSelective" parameterType="com.unis.base.server.entity.CompanyRecordsDO" >
    insert into TZ_SLQY_HIS
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="qybabh != null" >
        QYBABH,
      </if>
      <if test="id != null" >
        ID,
      </if>
      <if test="tyshxydm != null" >
        TYSHXYDM,
      </if>
      <if test="zzjgdm != null" >
        ZZJGDM,
      </if>
      <if test="qymc != null" >
        QYMC,
      </if>
      <if test="qylx != null" >
        QYLX,
      </if>
      <if test="dwdm != null" >
        DWDM,
      </if>
      <if test="qyjjlx != null" >
        QYJJLX,
      </if>
      <if test="qyxz != null" >
        QYXZ,
      </if>
      <if test="djzclx != null" >
        DJZCLX,
      </if>
      <if test="gsdjzch != null" >
        GSDJZCH,
      </if>
      <if test="fddbr != null" >
        FDDBR,
      </if>
      <if test="bgdh != null" >
        BGDH,
      </if>
      <if test="frsjh != null" >
        FRSJH,
      </if>
      <if test="qydzyx != null" >
        QYDZYX,
      </if>
      <if test="zczb != null" >
        ZCZB,
      </if>
      <if test="qycyrys != null" >
        QYCYRYS,
      </if>
      <if test="zjyszcrs != null" >
        ZJYSZCRS,
      </if>
      <if test="bgyrs != null" >
        BGYRS,
      </if>
      <if test="jhyyrs != null" >
        JHYYRS,
      </if>
      <if test="yzyzgzsrs != null" >
        YZYZGZSRS,
      </if>
      <if test="qyczhm != null" >
        QYCZHM,
      </if>
      <if test="qytxdz != null" >
        QYTXDZ,
      </if>
      <if test="qyyb != null" >
        QYYB,
      </if>
      <if test="qyzyyw != null" >
        QYZYYW,
      </if>
      <if test="qyzcsj != null" >
        QYZCSJ,
      </if>
      <if test="zzxlysry != null" >
        ZZXLYSRY,
      </if>
      <if test="qysclszypz != null" >
        QYSCLSZYPZ,
      </if>
      <if test="qylsgx != null" >
        QYLSGX,
      </if>
      <if test="qyyjjb != null" >
        QYYJJB,
      </if>
      <if test="qyjd != null" >
        QYJD,
      </if>
      <if test="qywd != null" >
        QYWD,
      </if>
      <if test="qyszqy != null" >
        QYSZQY,
      </if>
      <if test="qyccnl != null" >
        QYCCNL,
      </if>
      <if test="qyzt != null" >
        QYZT,
      </if>
      <if test="qyszqybh != null" >
        QYSZQYBH,
      </if>
      <if test="qyyjlxbh != null" >
        QYYJLXBH,
      </if>
      <if test="qyyjlxmc != null" >
        QYYJLXMC,
      </if>
      <if test="sfdlfrzg != null" >
        SFDLFRZG,
      </if>
      <if test="xsqygs != null" >
        XSQYGS,
      </if>
      <if test="zcrq != null" >
        ZCRQ,
      </if>
      <if test="sfjysgzg != null" >
        SFJYSGZG,
      </if>
      <if test="lssgxkzfzjg != null" >
        LSSGXKZFZJG,
      </if>
      <if test="sgzgzbh != null" >
        SGZGZBH,
      </if>
      <if test="sslsxzglbm != null" >
        SSLSXZGLBM,
      </if>
      <if test="zdmj != null" >
        ZDMJ,
      </if>
      <if test="sszdmj != null" >
        SSZDMJ,
      </if>
      <if test="sqjgzdmj != null" >
        SQJGZDMJ,
      </if>
      <if test="qygsdjjg != null" >
        QYGSDJJG,
      </if>
      <if test="qylxr != null" >
        QYLXR,
      </if>
      <if test="qyjgdm != null" >
        QYJGDM,
      </if>
      <if test="yysr != null" >
        YYSR,
      </if>
      <if test="lsze != null" >
        LSZE,
      </if>
      <if test="dnyjkftr != null" >
        DNYJKFTR,
      </if>
      <if test="fmzl != null" >
        FMZL,
      </if>
      <if test="gyzcz != null" >
        GYZCZ,
      </if>
      <if test="lrze != null" >
        LRZE,
      </if>
      <if test="zfzctr != null" >
        ZFZCTR,
      </if>
      <if test="cpxssr != null" >
        CPXSSR,
      </if>
      <if test="zcze != null" >
        ZCZE,
      </if>
      <if test="dnzlhds != null" >
        DNZLHDS,
      </if>
      <if test="nclyjxzz != null" >
        NCLYJXZZ,
      </if>
      <if test="yzjgzj != null" >
        YZJGZJ,
      </if>
      <if test="tysb != null" >
        TYSB,
      </if>
      <if test="nhxhbzm != null" >
        NHXHBZM,
      </if>
      <if test="gr != null" >
        GR,
      </if>
      <if test="dmjgzj != null" >
        DMJGZJ,
      </if>
      <if test="sljgzj != null" >
        SLJGZJ,
      </if>
      <if test="nyhd != null" >
        NYHD,
      </if>
      <if test="nyxhrj != null" >
        NYXHRJ,
      </if>
      <if test="xmfjgzj != null" >
        XMFJGZJ,
      </if>
      <if test="ccsb != null" >
        CCSB,
      </if>
      <if test="nyxhs != null" >
        NYXHS,
      </if>
      <if test="zcr != null" >
        ZCR,
      </if>
      <if test="cfd != null" >
        CFD,
      </if>
      <if test="cfj != null" >
        CFJ,
      </if>
      <if test="bz != null" >
        BZ,
      </if>
      <if test="sfba != null" >
        SFBA,
      </if>
      <if test="spyj != null" >
        SPYJ,
      </if>
      <if test="shrybh != null" >
        SHRYBH,
      </if>
      <if test="shrymc != null" >
        SHRYMC,
      </if>
      <if test="shbmbh != null" >
        SHBMBH,
      </if>
      <if test="shbmmc != null" >
        SHBMMC,
      </if>
      <if test="jyfw != null" >
        JYFW,
      </if>
      <if test="wryjyrybcs != null" >
        WRYJYRYBCS,
      </if>
      <if test="shgz != null" >
        SHGZ,
      </if>
        <if test="qycj !=null">
            QYCJ,
        </if>
        <if test="qygszcd !=null">
            QYGSZCD,
        </if>
        <if test="rtzt !=null">
            RTZT,
        </if>
        <if test="sjccqy !=null">
            SJCCQY,
        </if>
        <if test="qjccqy !=null">
            QJCCQY,
        </if>
        <if test="sjjtmc !=null">
            SJJTMC,
        </if>
        <if test="sjjtjgdm !=null">
            SJJTJGDM,
        </if>
        <if test="sjjttyshxydm !=null">
            SJJTTYSHXYDM,
        </if>
      <if test="basj !=null">
        BASJ,
      </if>
        <if test="lcId != null" >
            LC_ID,
        </if>
      <if test="cfsl !=null">
        CFSL,
      </if>
      <if test="ygsl !=null">
        YGSL,
      </if>
      <if test="shi !=null">
        SHI,
      </if>
      <if test="shiName !=null">
        SHI_NAME,
      </if>
      <if test="xian !=null">
        XIAN,
      </if>
      <if test="xianName !=null">
        XIAN_NAME,
      </if>
      <if test="status != null" >
        STATUS,
      </if>
      <if test="creator != null" >
        CREATOR,
      </if>
      <if test="creatorCode != null" >
        CREATOR_CODE,
      </if>
      <if test="createDate != null" >
        CREATE_DATE,
      </if>
      <if test="refresher != null" >
        REFRESHER,
      </if>
      <if test="refresherCode != null" >
        REFRESHER_CODE,
      </if>
      <if test="refreshTime != null" >
        REFRESH_TIME,
      </if>
      <if test="remark != null" >
        REMARK,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="qybabh != null" >
        #{qybabh,jdbcType=VARCHAR},
      </if>
      <if test="id != null" >
        #{id,jdbcType=DECIMAL},
      </if>
      <if test="tyshxydm != null" >
        #{tyshxydm,jdbcType=VARCHAR},
      </if>
      <if test="zzjgdm != null" >
        #{zzjgdm,jdbcType=VARCHAR},
      </if>
      <if test="qymc != null" >
        #{qymc,jdbcType=VARCHAR},
      </if>
      <if test="qylx != null" >
        #{qylx,jdbcType=VARCHAR},
      </if>
      <if test="dwdm != null" >
        #{dwdm,jdbcType=VARCHAR},
      </if>
      <if test="qyjjlx != null" >
        #{qyjjlx,jdbcType=VARCHAR},
      </if>
      <if test="qyxz != null" >
        #{qyxz,jdbcType=VARCHAR},
      </if>
      <if test="djzclx != null" >
        #{djzclx,jdbcType=VARCHAR},
      </if>
      <if test="gsdjzch != null" >
        #{gsdjzch,jdbcType=VARCHAR},
      </if>
      <if test="fddbr != null" >
        #{fddbr,jdbcType=VARCHAR},
      </if>
      <if test="bgdh != null" >
        #{bgdh,jdbcType=VARCHAR},
      </if>
      <if test="frsjh != null" >
        #{frsjh,jdbcType=VARCHAR},
      </if>
      <if test="qydzyx != null" >
        #{qydzyx,jdbcType=VARCHAR},
      </if>
      <if test="zczb != null" >
        #{zczb,jdbcType=DECIMAL},
      </if>
      <if test="qycyrys != null" >
        #{qycyrys,jdbcType=DECIMAL},
      </if>
      <if test="zjyszcrs != null" >
        #{zjyszcrs,jdbcType=DECIMAL},
      </if>
      <if test="bgyrs != null" >
        #{bgyrs,jdbcType=DECIMAL},
      </if>
      <if test="jhyyrs != null" >
        #{jhyyrs,jdbcType=DECIMAL},
      </if>
      <if test="yzyzgzsrs != null" >
        #{yzyzgzsrs,jdbcType=DECIMAL},
      </if>
      <if test="qyczhm != null" >
        #{qyczhm,jdbcType=VARCHAR},
      </if>
      <if test="qytxdz != null" >
        #{qytxdz,jdbcType=VARCHAR},
      </if>
      <if test="qyyb != null" >
        #{qyyb,jdbcType=VARCHAR},
      </if>
      <if test="qyzyyw != null" >
        #{qyzyyw,jdbcType=VARCHAR},
      </if>
      <if test="qyzcsj != null" >
        #{qyzcsj,jdbcType=DATE},
      </if>
      <if test="zzxlysry != null" >
        #{zzxlysry,jdbcType=DECIMAL},
      </if>
      <if test="qysclszypz != null" >
        #{qysclszypz,jdbcType=VARCHAR},
      </if>
      <if test="qylsgx != null" >
        #{qylsgx,jdbcType=VARCHAR},
      </if>
      <if test="qyyjjb != null" >
        #{qyyjjb,jdbcType=VARCHAR},
      </if>
      <if test="qyjd != null" >
        #{qyjd,jdbcType=VARCHAR},
      </if>
      <if test="qywd != null" >
        #{qywd,jdbcType=VARCHAR},
      </if>
      <if test="qyszqy != null" >
        #{qyszqy,jdbcType=VARCHAR},
      </if>
      <if test="qyccnl != null" >
        #{qyccnl,jdbcType=DECIMAL},
      </if>
      <if test="qyzt != null" >
        #{qyzt,jdbcType=DECIMAL},
      </if>
      <if test="qyszqybh != null" >
        #{qyszqybh,jdbcType=VARCHAR},
      </if>
      <if test="qyyjlxbh != null" >
        #{qyyjlxbh,jdbcType=VARCHAR},
      </if>
      <if test="qyyjlxmc != null" >
        #{qyyjlxmc,jdbcType=VARCHAR},
      </if>
      <if test="sfdlfrzg != null" >
        #{sfdlfrzg,jdbcType=DECIMAL},
      </if>
      <if test="xsqygs != null" >
        #{xsqygs,jdbcType=DECIMAL},
      </if>
      <if test="zcrq != null" >
        #{zcrq,jdbcType=DATE},
      </if>
      <if test="sfjysgzg != null" >
        #{sfjysgzg,jdbcType=DECIMAL},
      </if>
      <if test="lssgxkzfzjg != null" >
        #{lssgxkzfzjg,jdbcType=VARCHAR},
      </if>
      <if test="sgzgzbh != null" >
        #{sgzgzbh,jdbcType=VARCHAR},
      </if>
      <if test="sslsxzglbm != null" >
        #{sslsxzglbm,jdbcType=VARCHAR},
      </if>
      <if test="zdmj != null" >
        #{zdmj,jdbcType=DECIMAL},
      </if>
      <if test="sszdmj != null" >
        #{sszdmj,jdbcType=DECIMAL},
      </if>
      <if test="sqjgzdmj != null" >
        #{sqjgzdmj,jdbcType=DATE},
      </if>
      <if test="qygsdjjg != null" >
        #{qygsdjjg,jdbcType=VARCHAR},
      </if>
      <if test="qylxr != null" >
        #{qylxr,jdbcType=VARCHAR},
      </if>
      <if test="qyjgdm != null" >
        #{qyjgdm,jdbcType=VARCHAR},
      </if>
      <if test="yysr != null" >
        #{yysr,jdbcType=DECIMAL},
      </if>
      <if test="lsze != null" >
        #{lsze,jdbcType=DECIMAL},
      </if>
      <if test="dnyjkftr != null" >
        #{dnyjkftr,jdbcType=DECIMAL},
      </if>
      <if test="fmzl != null" >
        #{fmzl,jdbcType=VARCHAR},
      </if>
      <if test="gyzcz != null" >
        #{gyzcz,jdbcType=DECIMAL},
      </if>
      <if test="lrze != null" >
        #{lrze,jdbcType=DECIMAL},
      </if>
      <if test="zfzctr != null" >
        #{zfzctr,jdbcType=DECIMAL},
      </if>
      <if test="cpxssr != null" >
        #{cpxssr,jdbcType=DECIMAL},
      </if>
      <if test="zcze != null" >
        #{zcze,jdbcType=DECIMAL},
      </if>
      <if test="dnzlhds != null" >
        #{dnzlhds,jdbcType=DECIMAL},
      </if>
      <if test="nclyjxzz != null" >
        #{nclyjxzz,jdbcType=DECIMAL},
      </if>
      <if test="yzjgzj != null" >
        #{yzjgzj,jdbcType=VARCHAR},
      </if>
      <if test="tysb != null" >
        #{tysb,jdbcType=VARCHAR},
      </if>
      <if test="nhxhbzm != null" >
        #{nhxhbzm,jdbcType=DECIMAL},
      </if>
      <if test="gr != null" >
        #{gr,jdbcType=DECIMAL},
      </if>
      <if test="dmjgzj != null" >
        #{dmjgzj,jdbcType=VARCHAR},
      </if>
      <if test="sljgzj != null" >
        #{sljgzj,jdbcType=VARCHAR},
      </if>
      <if test="nyhd != null" >
        #{nyhd,jdbcType=DECIMAL},
      </if>
      <if test="nyxhrj != null" >
        #{nyxhrj,jdbcType=VARCHAR},
      </if>
      <if test="xmfjgzj != null" >
        #{xmfjgzj,jdbcType=VARCHAR},
      </if>
      <if test="ccsb != null" >
        #{ccsb,jdbcType=VARCHAR},
      </if>
      <if test="nyxhs != null" >
        #{nyxhs,jdbcType=VARCHAR},
      </if>
      <if test="zcr != null" >
        #{zcr,jdbcType=DECIMAL},
      </if>
      <if test="cfd != null" >
        #{cfd,jdbcType=DECIMAL},
      </if>
      <if test="cfj != null" >
        #{cfj,jdbcType=DECIMAL},
      </if>
      <if test="bz != null" >
        #{bz,jdbcType=VARCHAR},
      </if>
      <if test="sfba != null" >
        #{sfba,jdbcType=DECIMAL},
      </if>
      <if test="spyj != null" >
        #{spyj,jdbcType=VARCHAR},
      </if>
      <if test="shrybh != null" >
        #{shrybh,jdbcType=VARCHAR},
      </if>
      <if test="shrymc != null" >
        #{shrymc,jdbcType=VARCHAR},
      </if>
      <if test="shbmbh != null" >
        #{shbmbh,jdbcType=VARCHAR},
      </if>
      <if test="shbmmc != null" >
        #{shbmmc,jdbcType=VARCHAR},
      </if>
      <if test="jyfw != null" >
        #{jyfw,jdbcType=VARCHAR},
      </if>
      <if test="wryjyrybcs != null" >
        #{wryjyrybcs,jdbcType=DECIMAL},
      </if>
      <if test="shgz != null" >
        #{shgz,jdbcType=CLOB},
      </if>
        <if test="qycj !=null">
            #{qycj,jdbcType=VARCHAR},
        </if>
        <if test="qygszcd !=null">
            #{qygszcd,jdbcType=VARCHAR},
        </if>
        <if test="rtzt !=null">
            #{rtzt,jdbcType=DECIMAL},
        </if>
        <if test="sjccqy !=null">
            #{sjccqy,jdbcType=VARCHAR},
        </if>
        <if test="qjccqy !=null">
            #{qjccqy,jdbcType=VARCHAR},
        </if>
        <if test="sjjtmc !=null">
            #{sjjtmc,jdbcType=VARCHAR},
        </if>
        <if test="sjjtjgdm !=null">
            #{sjjtjgdm,jdbcType=VARCHAR},
        </if>
        <if test="sjjttyshxydm !=null">
            #{sjjttyshxydm,jdbcType=VARCHAR},
        </if>
      <if test="basj !=null">
        #{basj,jdbcType=DATE},
      </if>
        <if test="lcId != null" >
            #{lcId,jdbcType=VARCHAR},
        </if>
      <if test="cfsl !=null">
        #{cfsl,jdbcType=DECIMAL},
      </if>
      <if test="ygsl !=null">
        #{ygsl,jdbcType=DECIMAL},
      </if>
      <if test="shi !=null">
        #{shi,jdbcType=VARCHAR},
      </if>
      <if test="shiName !=null">
        #{shiName,jdbcType=VARCHAR},
      </if>
      <if test="xian !=null">
        #{xian,jdbcType=VARCHAR},
      </if>
      <if test="xianName !=null">
        #{xianName,jdbcType=VARCHAR},
      </if>
      <if test="status != null" >
        #{status,jdbcType=DECIMAL},
      </if>
      <if test="creator != null" >
        #{creator,jdbcType=VARCHAR},
      </if>
      <if test="creatorCode != null" >
        #{creatorCode,jdbcType=VARCHAR},
      </if>
      <if test="createDate != null" >
        #{createDate,jdbcType=TIMESTAMP},
      </if>
      <if test="refresher != null" >
        #{refresher,jdbcType=VARCHAR},
      </if>
      <if test="refresherCode != null" >
        #{refresherCode,jdbcType=VARCHAR},
      </if>
      <if test="refreshTime != null" >
        #{refreshTime,jdbcType=TIMESTAMP},
      </if>
      <if test="remark != null" >
        #{remark,jdbcType=VARCHAR},
      </if>
    </trim>
  </insert>


</mapper>